#pragma once

#include "finder.h"
#include "word_list.h"

class LinearFinder : public Finder {
private:
  const WordList &word_list_;

public:
  LinearFinder(const WordList &word_list);

  WordRefList find_prefix(std::string_view search_term) const override;
};
